QwtColumnRect(3)

NAME
QwtColumnRect -

SYNOPSIS

#include <qwt_column_symbol.h>

  Public Types
enum Direction { LeftToRight, RightToLeft, BottomToTop, TopToBottom }

  Public Member Functions
QwtColumnRect ()
Qt::Orientation orientation () const
QRectF toRect () const

  Public Attributes
Direction direction
QwtInterval hInterval
QwtInterval vInterval

Detailed Description

Directed rectangle representing bounding rectangle und orientation of a column.

Member Enumeration Documentation

  enum QwtColumnRect::Direction

Direction of the column.

Enumerator:

LeftToRight
    From left to right.

RightToLeft
    From right to left.

BottomToTop
    From bottom to top.

TopToBottom
    From top to bottom.

Member Function Documentation

  Qt::Orientation QwtColumnRect::orientation () const [inline]
Returns:
    Orientation

  QRectF QwtColumnRect::toRect () const [inline]
Returns:
    A normalized QRect built from the intervals

Author

Generated automatically by Doxygen for Qwt User's Guide from the source code.